> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/network/wisej.hybrid.shared.communication.connectionprofile.md).

# ConnectionProfile

Namespace: **Wisej.Hybrid.Shared.Communication**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Describes the type of connection the device is using.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ConnectionProfile : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ConnectionProfile As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                          |
| ------------- | ------------------------------------ |
| **Bluetooth** | The Bluetooth data connection.       |
| **Cellular**  | The mobile/cellular data connection. |
| **Ethernet**  | The Ethernet data connection.        |
| **Unknown**   | Other unknown type of connection.    |
| **WiFi**      | The Wi-Fi data connection.           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/network/wisej.hybrid.shared.communication.connectionprofile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
